import request from '@/utils/httpRequest'

export default class reimbursementIsNoTicketService {
  findList (params) {
    return request({
      url: '/reimbursementBusinessTwo/findListPage',
      method: 'get',
      params: params
    })
  }

  saveBusiness (inputForm) {
    return request({
      url: `/reimbursement/saveBusiness`,
      method: 'post',
      data: inputForm
    })
  }

  saveGatheringTime (inputForm) {
    return request({
      url: `/reimbursement/saveGatheringTime`,
      method: 'post',
      data: inputForm
    })
  }
  getBusinessById (id) {
    return request({
      url: `/reimbursementBusiness/getBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }
  queryById (id) {
    return request({
      url: `/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }
  updateReimbursementRatio (inputForm) {
    return request({
      url: `/reimbursement/updateReimbursementRatio`,
      method: 'post',
      data: inputForm
    })
  }

  saveInvoice (inputForm) {
    return request({
      url: `/reimbursement/saveInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  modifyInvoice (inputForm) {
    return request({
      url: `/reimbursement/modifyInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  deleteBusiness (ids) {
    return request({
      url: '/reimbursement/deleteBusiness',
      method: 'delete',
      params: {ids: ids}
    })
  }

  deleteInvoice (ids) {
    return request({
      url: '/reimbursementBusinessTwo/delById/' + ids,
      method: 'delete',
      params: {ids: ids}
    })
  }

  delete (ids) {
    return request({
      url: '/reimbursement/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryBusinessById (id) {
    return request({
      url: `/reimbursement/queryBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }

  queryBusinessByInvoiceId (id) {
    return request({
      url: `/reimbursement/queryBusinessByInvoiceId`,
      method: 'get',
      params: {id: id}
    })
  }

  queryInvoiceById (id) {
    return request({
      url: `/reimbursement/queryInvoiceById`,
      method: 'get',
      params: {id: id}
    })
  }

  addBatchReimbursement (invoiceNumbers) {
    return request({
      url: '/reimbursement/addBatchReimbursement',
      method: 'put',
      params: {
        invoiceNumbers: invoiceNumbers
      }
    })
  }

  findSelectList () {
    return request({
      url: '/reimbursementBusinessTwo/findSelectList',
      method: 'post'
    })
  }

  modifyBindCode (params) {
    return request({
      url: '/reimbursementBusinessTwo/modifyBindCode',
      method: 'post',
      params: params
    })
  }

  findSelectYearList () {
    return request({
      url: '/reimbursementBusinessTwo/findSelectYearList',
      method: 'post'
    })
  }

  findSelectCodeListByYear (selectedYear, reimbursementAddress) {
    return request({
      url: '/reimbursementBusinessTwo/findSelectCodeListByYear',
      method: 'post',
      params: {selectedYear: selectedYear, reimbursementAddress: reimbursementAddress}
    })
  }

  exportExcel (params) {
    return request({
      url: '/reimbursementBusinessTwo/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
